Bug 111113 - libcroco should BuildRequires: libgnomeui-devel. libcroco-devel should Requires: libgnomeui-devel
Summary: libcroco should BuildRequires: libgnomeui-devel. libcroco-devel should Requi...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: libcroco   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-27 16:31 UTC by Maxim Dziumanenko
Modified: 2013-04-02 04:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-11 08:59:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxim Dziumanenko 2003-11-27 16:31:44 UTC
Description of problem:
1. libgnome headers and development libs needed to build libcroco
2. /usr/lib/pkgconfig/libcroco.pc references to libgnomeui
Thus libcroco should BuildRequires: libgnomeui-devel,
libcroco-devel should Requires: libgnomeui-devel

Version-Release number of selected component (if applicable):
libcroco-0.3.0-1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.rpm -e libgnomeui-devel
2.rpmbuild --rebuild libcroco-0.3.0-1.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmac 2003-11-28 15:56:52 UTC
Triage->Easyfix

Comment 2 Warren Togami 2004-04-08 01:08:22 UTC
jrb, could you please confirm this?  This may be good to get rid of
unnecessary BuildRequires in other packages.

Comment 3 Warren Togami 2004-04-11 08:59:57 UTC
Should hit rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.